Subject: [PATCH 0/6] Add Clementine music player.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Pierre Langlois <[email-masked]>
Date: Sat, 18 Feb 2017 13:38:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix!

Here are patches to add the Clementine music player [1] and its dependencies.
First of all, thanks all of you for Guix{,SD}!  It's a lot of fun to play
with.

I have a couple of questions about this series:

* cryptopp

I believe this *should* be an optional dependency but I wasn't able to disable
it.  It seems to be used for spotify support:

~~~(CMakeLists.txt)
if(NOT HAVE_SPOTIFY_BLOB AND NOT CRYPTOPP_FOUND)
  message(FATAL_ERROR "Either crypto++ must be available or the non-GPL Spotify "
          "code must be compiled in")
elseif(CRYPTOPP_FOUND)
  set(HAVE_CRYPTOPP ON)
  set(HAVE_SPOTIFY_DOWNLOADER ON)
endif()
~~~

What do you think?  Should we patch the above file to disable spotify support
or should we package cryptopp?  I've done the latter in this series.

* sqlite/nss

I ran into complications with this package when I realized Clementine needed
the FTS3 extension enabled in sqlite [2].  I've been able to test this but it
took an entire day to rebuild all packages depending on sqlite in my profile
:-P.  By the way, the fact I can do this is great!

As a result, the nss package was rebuilt and I consistently got 6 failures,
all due to a PayPal certificate.  I had no idea how to fix this so I updated
the nss package to the latest release and the tests passed.

So I suppose this series should probably go in a branch as it will require a
lot of rebuilding.

Thanks!
Pierre

1: http://clementine-player.org
2: https://sqlite.org/fts3.html

Pierre Langlois (6):
  gnu: Add qjson.
  gnu: Add libechonest.
  gnu: Add cryptopp.
  gnu: nss: Update to 3.28.1.
  gnu: sqlite: Enable FTS3.
  gnu: Add Clementine.

 gnu/packages/crypto.scm                  | 44 +++++++++++++++++
 gnu/packages/databases.scm               |  7 ++-
 gnu/packages/gnuzilla.scm                |  5 +-
 gnu/packages/music.scm                   | 82 ++++++++++++++++++++++++++++++++
 gnu/packages/patches/nss-pkgconfig.patch |  4 +-
 gnu/packages/qt.scm                      | 28 +++++++++++
 6 files changed, 165 insertions(+), 5 deletions(-)

-- 
2.11.1